#include "oaiaction.h"
#include "metaformat.h"
#include "OIDtools.h"

class metaformatsaction : public oaiaction
{
 public:
  metaformatsaction() : oaiaction("ListMetadataFormats") { };
  void set_formats(metaformat_map *formats) { this->formats = formats; }
  virtual void setConfiguration(oaiconfig *configuration);
  virtual bool validateAction(recptproto *protocol, oaiargs &params);
 protected:
  metaformat_map * formats;
  FilterResponse_t gsdlResponse;
  bool output_content(ostream &output, recptproto *protocol, oaiargs &params);
};
